Protocol factory service
POST
The request body should be a serialized ProtocolFactoryServiceRequest (string). The response body will also be serialized (string). The request-response mappings are as follows:
- CreateCustomProtocol -> Unit
bearerheader
AuthorizationBearer <token>Provide the username and password of the user
application/json- body
ownerId*name*stringcustomProtocol*stringdescription?stringapiVersion*responseSerializer*OK
*/*- response
curl -X POST 'https://dev.carp.dk/api/protocol-factory-service' \ -H 'Content-Type: application/json' \ -d '{ "ownerId": {}, "name": "string", "customProtocol": "string", "apiVersion": { "major": 0, "minor": 0 }, "responseSerializer": { "descriptor": { "annotations": [ {} ], "serialName": "string", "elementsCount": 0, "isInline": true, "kind": null, "isNullable": true } }}'Example response
{}